#!/usr/bin/env bash

# The directory of this script is also the projects' root directory.
PROJ_ROOT="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"

IMAGE=$(sed --regexp-extended --quiet 's;^image: "([^"]*)"$;\1;p' "${PROJ_ROOT}/.gitlab-ci.yml")

docker run \
	   --volume="${PROJ_ROOT}:${PROJ_ROOT}" \
	   --interactive \
	   --tty \
	   --env USER_ID="${UID}" \
	   --env GROUP_ID="$(id -g ${USER})" \
	   --security-opt=seccomp:unconfined \
	   "${IMAGE}" \
	   "${PROJ_ROOT}/tools/docker-prepare" "${PROJ_ROOT}" $@
