#!/bin/bash

set -e

OPEN_BENCH=build-release/open-bench
DIR=${1:-"files-to-open"}

ITERATIONS=50

for i in $(seq ${ITERATIONS})
do
	for mode in 'global' 'direct'
	do
		mode_args='';
		[[ "$mode" = "direct" ]] && mode_args='--direct'
		printf "%s:" "${mode}"
		${OPEN_BENCH} ${mode_args} "${DIR}" | cut -d':' -f 2
	done
done | python3 -c 'import numpy as np; import sys; rd = [l.split(":") for l in sys.stdin.readlines()]; vs = {v for v, t in rd}; d = {v: [int(t.strip()[:-2]) for _v, t in rd if _v == v] for v in vs}; s = {v: np.mean(ts) for v, ts in d.items()}; [print(f"{v}: {m}") for v, m in s.items()]'
