#!/bin/bash

NFILES=10000
MODE=${1:-"flat"}
DIR=${2:-"files-to-open"}
rm -r "${DIR}"
mkdir -p "${DIR}"


_flat() {
	for f in $(seq ${NFILES})
	do
		touch "${DIR}"/$f
	done
}

_flat_parallel() {
	for f in $(seq ${NFILES})
	do
		echo "${DIR}"/$f
	done | parallel -X touch {}
}

flat() {
	if command -v parallel
	then
		_flat_parallel
	else
		_flat
	fi

	echo generated ${NFILES} in ${DIR}
}

linux() {
	git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git "${DIR}"
}

case "${MODE}" in
	linux)
		linux;;
	flat)
		flat;;
	*)
		echo "unknown file creation mode $MODE";;
esac
