#!/bin/bash

set -e

PERF_RECORD="sudo perf record --call-graph dwarf -o"
DATA_DIR=${DATA_DIR:="/tmp"}

OPEN_BENCH=build-release/open-bench

DIR=${1:-"files-to-open"}

for mode in 'global' 'direct'
do
	mode_args='';
	[[ "$mode" = "direct" ]] && mode_args='--direct';
	perf_out="${DATA_DIR}"/open-bench-${mode}.data
	${PERF_RECORD} "${perf_out}" ${OPEN_BENCH} ${mode_args} "${DIR}"
	sudo chmod a+r "${perf_out}"
	tools/generate-flamegraph.sh "${perf_out}"
done
